-- DV Bag Frame
local dvbagframe=CreateFrame("Frame", "dvbagframe", UIParent)
	dvbagframe:SetFrameStrata("BACKGROUND")
	dvbagframe:SetClampedToScreen(true)
	dvbagframe:SetPoint("BOTTOMRIGHT", MultiBarLeftButton4, "BOTTOMLEFT")
	dvbagframe:SetMovable(true)
	dvbagframe:EnableMouse(true)
	dvbagframe:RegisterForDrag("RightButton")
	dvbagframe:SetWidth(160)
	dvbagframe:SetHeight(45)

	dvbagframe:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvbagframe:StartMoving() 
		end 
	end)
	dvbagframe:SetScript("OnDragStop", function(self) 	
	dvbagframe:StopMovingOrSizing() 
	end)

local t=dvbagframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvbagframe)
	t:SetTexture(0, 0, 0, 0.7)
	
local function showDVBB(self)
	dvbagframe:SetAlpha(1)
	MainMenuBarBackpackButton:SetAlpha(1)
	CharacterBag0Slot:SetAlpha(1)
	CharacterBag1Slot:SetAlpha(1)
	CharacterBag2Slot:SetAlpha(1)
	CharacterBag3Slot:SetAlpha(1)
end
     
local function hideDVBB(self)
	dvbagframe:SetAlpha(0)
	MainMenuBarBackpackButton:SetAlpha(0)
	CharacterBag0Slot:SetAlpha(0)
	CharacterBag1Slot:SetAlpha(0)
	CharacterBag2Slot:SetAlpha(0)
	CharacterBag3Slot:SetAlpha(0)
end

	dvbagframe:HookScript("OnEnter", showDVBB)
	dvbagframe:HookScript("OnLeave", hideDVBB)
	dvbagframe:SetAlpha(0)
	
-- Bag Buttons
	MainMenuBarBackpackButton:ClearAllPoints()
	MainMenuBarBackpackButton:SetPoint("BOTTOMRIGHT", dvbagframe, "BOTTOMRIGHT", 0, 0)
	
	MainMenuBarBackpackButton:HookScript("OnEnter", showDVBB)
	MainMenuBarBackpackButton:HookScript("OnLeave", hideDVBB)
	MainMenuBarBackpackButton:SetAlpha(0)
	
	CharacterBag0Slot:HookScript("OnEnter", showDVBB)
	CharacterBag0Slot:HookScript("OnLeave", hideDVBB)
	CharacterBag0Slot:SetAlpha(0)
	
	CharacterBag1Slot:HookScript("OnEnter", showDVBB)
	CharacterBag1Slot:HookScript("OnLeave", hideDVBB)
	CharacterBag1Slot:SetAlpha(0)
	
	CharacterBag2Slot:HookScript("OnEnter", showDVBB)
	CharacterBag2Slot:HookScript("OnLeave", hideDVBB)
	CharacterBag2Slot:SetAlpha(0)
	
	CharacterBag3Slot:HookScript("OnEnter", showDVBB)
	CharacterBag3Slot:HookScript("OnLeave", hideDVBB)
	CharacterBag3Slot:SetAlpha(0)